%define upstream_name autobox-Junctions
%define upstream_version 0.002

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 3

Summary:	Autoboxified junction-style operators
License:	LGPLv2
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://www.cpan.org/modules/by-module/autobox/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(autobox)
BuildRequires:	perl(Syntax::Keyword::Junction)
BuildRequires:	perl(Test::CheckDeps)

BuildArch:	noarch

Provides:	perl(autobox::Junctions)

%description
This is a simple autoboxifying wrapper around Syntax::Keyword::Junction,
that provides array and array references with the functions provided by
that package as methods for arrays: any, all, one, and none.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README SIGNATURE
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.2.0-3.mga8
+ Revision: 1507111
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.2.0-2.mga7
+ Revision: 1287488
- Mageia 7 Mass Rebuild

* Fri Jul 21 2017 sander85 <sander85> 0.2.0-1.mga7
+ Revision: 1126004
- update to 0.002

* Sat Jun 18 2016 pterjan <pterjan> 0.1.0-6.mga6
+ Revision: 1022681
- Rebuild for perl 5.22.2

* Tue Feb 02 2016 umeabot <umeabot> 0.1.0-5.mga6
+ Revision: 931940
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.1.0-4.mga5
+ Revision: 739329
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.1.0-3.mga5
+ Revision: 687010
- Mageia 5 Mass Rebuild

* Fri May 02 2014 sander85 <sander85> 0.1.0-2.mga5
+ Revision: 619538
- Add missing provides

* Fri May 02 2014 sander85 <sander85> 0.1.0-1.mga5
+ Revision: 619531
- imported package perl-autobox-Junctions

